-
- abort-payment-on-terminal
- capture-payment
- filter-payments
- find-payment
- initiate-payment-flow
- list-activity-logs
- list-payment-activities
- list-payments
- list-payments-by-contact
- list-payments-by-terminal
- refund-payment
- request-payment
- resume-payment-on-terminal
- retrieve-refund-performance
- retrieve-sales-performance
- reverse-payment
- start-payment-on-terminal
- void-payment
List terminals
Paginated list of terminals for the merchant.
per_page
number
Optional. Items per page (default: 25).
after
string
Optional. Cursor for records before this ID.
before
string
Optional. Cursor for records after this ID.
| Attribute | Description |
|---|---|
previousobject
|
Nullable. Cursor for the previous page. Contains 'before' (ID) and 'per_page' (page size) parameters. Use these values in the 'before' and 'per_page' parameters of the next request to get the previous page. |
pagearray<object.terminal>
|
Always present. The current page of records, ordered by creation date (newest first). |
nextobject
|
Nullable. Cursor for the next page. Contains 'after' (ID) and 'per_page' (page size) parameters. Use these values in the 'after' and 'per_page' parameters of the next request to get the next page. |
| Attribute | Description |
|---|---|
terminal_idstring
|
Always present. The ID of the terminal. |
connectedboolean
|
Always present. Whether the terminal currently has an active device connection. Possible values:
|
external_idstring
|
Nullable. External identifier of the terminal (from your system). |
installation_idstring
|
Nullable. The installation ID associated with this terminal, if any. |
namestring
|
Always present. Human-readable name of the terminal. |
branch_namestring
|
Nullable. Optional branch/store name this terminal belongs to. |
enabledboolean
|
Always present. Whether the terminal is enabled. Possible values:
|
kiosk_modeboolean
|
Always present. Whether the terminal is in kiosk mode. Possible values:
|
last_verified_atnumber
|
Nullable. When the device last verified, as a Unix timestamp. Null if never. |
connected_atnumber
|
Nullable. When the device last connected, as a Unix timestamp. Null if never. |
delegated_terminal_idstring
|
Nullable. The ID of the child terminal this terminal delegates payment display to, if any. |
parent_terminal_idstring
|
Nullable. The ID of the parent terminal that delegates payment display to this terminal, if any. |
challengestring
|
Always present. One-time challenge to embed in the terminal QR code. Rotates after each successful device connection. |
UNHANDLED_ERROR
This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.
INVALID_ARGUMENTS
This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.
BAD_VERSION
This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.
curl "https://api.reservepay.com/merchants/list-terminals" \
-X POST
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-H "Authorization: Bearer $(RESERVEPAY_API_KEY)" \
-d '{}'
